Skip to main content
GET
/
wealth
/
accounts
/
{account_id}
/
goals
/
{goal_id}
Get a goal
curl --request GET \
  --url https://service.bluumfinance.com/v1/wealth/accounts/{account_id}/goals/{goal_id} \
  --header 'Authorization: Basic <encoded-value>'
{
  "goal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "Retirement Fund",
  "goal_type": "retirement",
  "target_amount": "500000.00",
  "target_date": "2045-01-01",
  "currency": "USD",
  "priority": 5,
  "initial_amount": "<string>",
  "current_amount": "<string>",
  "progress_percent": "<string>",
  "amount_remaining": "<string>",
  "monthly_contribution": "<string>",
  "projected_completion_date": "2023-12-25",
  "on_track": true,
  "portfolio_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "active",
  "metadata": {},
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.bluumfinance.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using the API Key as username and API Secret as password.

Path Parameters

account_id
string<uuid>
required

The investor account ID

goal_id
string<uuid>
required

The goal ID

Query Parameters

include_projections
boolean
default:false

Include goal progress and projections

Response

Goal retrieved successfully

A financial goal for the investor

goal_id
string<uuid>
read-only
account_id
string<uuid>
read-only

The investor account this goal belongs to

name
string

Display name for the goal

Example:

"Retirement Fund"

goal_type
enum<string>
Available options:
retirement,
education,
emergency,
wealth_growth,
home_purchase,
custom
target_amount
string

Target dollar amount

Example:

"500000.00"

target_date
string<date>

Target completion date

Example:

"2045-01-01"

currency
string
default:USD
Pattern: ^[A-Z]{3}$
priority
integer

Priority ranking (1 = highest)

Required range: 1 <= x <= 10
initial_amount
string

Initial funded amount

current_amount
string
read-only

Current amount toward goal

progress_percent
string
read-only

Progress percentage toward target

amount_remaining
string
read-only

Amount still needed

monthly_contribution
string

Planned monthly contribution

projected_completion_date
string<date>
read-only

Projected date based on contributions and returns

on_track
boolean
read-only

Whether goal is on track to be met

portfolio_id
string<uuid>

Optional linked portfolio for this goal

status
enum<string>
default:active
Available options:
active,
completed,
archived
metadata
object

Custom metadata

created_at
string<date-time>
read-only
updated_at
string<date-time>
read-only